# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'stash_ezid_datacite/version'

Gem::Specification.new do |spec|
  spec.name          = "stash_ezid_datacite"
  spec.version       = StashEzidDatacite::VERSION
  spec.authors       = ["Scott Fisher"]
  spec.email         = ["scott.fisher@ucop.edu"]

  spec.summary       = "Gem to do very basic EZID ID creation/updating for DataCite XML"
  spec.description   = "very basic EZID ID creation/updating"
  spec.homepage      = "https://github.com/CDLUC3/stash_ezid_datacite"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'ezid-client', "~> 1.5"

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.9"
  spec.add_development_dependency "byebug", "~> 9.0"
end
